import * as z from 'zod';
export const CloudFileCreateResultSchema = z.object({
  id: z.number().int(),
  userId: z.number().int(),
  name: z.string(),
  mimeType: z.string().optional(),
  fileSize: z.bigint(),
  folderId: z.number().int().optional(),
  isComplete: z.boolean(),
  totalChunks: z.number().int().optional(),
  diskPath: z.string().optional(),
  createdAt: z.date(),
  updatedAt: z.date(),
  user: z.unknown(),
  folder: z.unknown().optional(),
  chunks: z.array(z.unknown())
});